#!/usr/bin/perl
#                                                                    
# WardenClientReceive.pm
#
# Copyright (C) 2011-2015 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.  

################################################################################
#                           DO NOT USE THIS MODULE!!!
#
#        THIS MODULE IS INTENDED ONLY FOR THE WARDEN CLIENT 2.2 UPDATED
#                           FROM WARDEN CLIENT 2.1!!!
################################################################################

package WardenClientReceive;

use strict;
use warnings;

our $VERSION = "2.2";

#-------------------------------------------------------------------------------
# getNewEvents - get new events from warden server greater than last received ID
#-------------------------------------------------------------------------------
sub getNewEvents
{

  my $warden_path = shift;
  my $requested_type = shift;

  use lib $warden_path;
  use WardenClient;

  return WardenClient::getNewEvents($requested_type);

} # End of getNewEvents

1;
