#!/usr/bin/perl
#                                                                    
# WardenClientSend.pm
#
# Copyright (C) 2011-2015 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.  

################################################################################
#                           DO NOT USE THIS MODULE!!!
#
#        THIS MODULE IS INTENDED ONLY FOR THE WARDEN CLIENT 2.2 UPDATED
#                           FROM WARDEN CLIENT 2.1!!!
################################################################################

package WardenClientSend;

use strict;
use warnings;

our $VERSION = "2.2";

#-------------------------------------------------------------------------------
# saveNewEvent - send new event from detection scripts to warden server
#-------------------------------------------------------------------------------
sub saveNewEvent
{

  my $warden_path = shift;
  my $event_ref   = shift;

  use lib $warden_path;
  use WardenClient;

  return WardenClient::saveNewEvent($event_ref);

} # End of saveNewEvent

1;
